Bug 1658009 - createdump utility doesn't work with .NET Core 2.2
Summary: createdump utility doesn't work with .NET Core 2.2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: dotNET
Classification: Red Hat
Component: rh-dotnet22
Version: 2.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 2.2
Assignee: Omair Majid
QA Contact: Radka Janek
Les Williams
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 02:48 UTC by Takayoshi Tanaka
Modified: 2019-02-28 13:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-28 13:31:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github dotnet coreclr issues 21484 None None None 2018-12-11 18:00:24 UTC

Description Takayoshi Tanaka 2018-12-11 02:48:39 UTC
Description of problem:
createdump utility reports the segmentation fault.
https://github.com/dotnet/coreclr/blob/master/Documentation/botr/xplat-minidump-generation.md#linux

Version-Release number of selected component (if applicable):
~~~
# dotnet --info
.NET Core SDK (reflecting any global.json):
 Version:   2.2.100
 Commit:    b9f2fa0ca8

Runtime Environment:
 OS Name:     rhel
 OS Version:  7
 OS Platform: Linux
 RID:         rhel.7-x64
 Base Path:   /opt/rh/rh-dotnet22/root/usr/lib64/dotnet/sdk/2.2.100/

Host (useful for support):
  Version: 2.2.0
  Commit:  1249f08fed

.NET Core SDKs installed:
  2.2.100 [/opt/rh/rh-dotnet22/root/usr/lib64/dotnet/sdk]

.NET Core runtimes installed:
  Microsoft.NETCore.App 2.2.0 [/opt/rh/rh-dotnet22/root/usr/lib64/dotnet/shared/Microsoft.NETCore.App]

To install additional .NET Core runtimes or SDKs:
  https://aka.ms/dotnet-download
~~~

How reproducible:
Always

Steps to Reproduce:
1. Create an example ASP.NET Core project and runt.
$ dotnet new webapp
$ dotnet run

2. Find the PID.
$ ps aux | grep dotne[t]

3. Execute createdump.
$ # /opt/rh/rh-dotnet22/root/usr/lib64/dotnet/shared/Microsoft.NETCore.App/2.2.0/createdump 127347


Actual results:
~~~
Writing minidump with heap to file /tmp/coredump.127347
Segmentation fault
~~~

Expected results:
Create dump successfully.

Additional info:
I confirmed createdump works well with rh-dotnet21.

Comment 3 Omair Majid 2019-02-14 00:12:55 UTC
This was fixed upstream and included in the 2.2.2 release: https://github.com/dotnet/coreclr/pull/21534

It will be part of the upcoming .NET Core 2.2.2 release on RHEL 7.

Comment 4 Omair Majid 2019-02-18 19:48:05 UTC
I have added a regression test for this: https://github.com/redhat-developer/dotnet-regular-tests/pull/46

Radka, Can you please sanity check and merge that test and confirm that this issue was fixed in our 2.2.2 update?

Comment 5 Radka Janek 2019-02-28 13:31:44 UTC
This was resolved in the past release.


Note You need to log in before you can comment on or make changes to this bug.